cURL
curl --request GET \
--url https://api.covenance.com/card/{cardId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.covenance.com/card/{cardId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.covenance.com/card/{cardId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"last4": "<string>",
"name": "<string>",
"expiryMonth": "<string>",
"expiryYear": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"spendingConstraint": {
"spendingRule": {
"utilizationLimit": {
"timezone": "<string>",
"limitAmount": {
"amountCents": 123
},
"startDate": "<string>"
},
"transactionSizeLimit": {
"minimum": {
"amountCents": 123
},
"maximum": {
"amountCents": 123
}
}
}
},
"pan": "<string>",
"cvv": "<string>"
}{
"status": 123,
"code": "<string>",
"message": "<string>"
}{
"status": 123,
"code": "<string>",
"message": "<string>"
}{
"status": 123,
"code": "<string>",
"message": "<string>"
}{
"status": 123,
"code": "<string>",
"message": "<string>"
}Card
Get card
Get the details for a single card by ID
GET
/
card
/
{cardId}
cURL
Authorizations
Path Parameters
Query Parameters
Include PAN in card details
Available options:
true, false Include CVV in card details
Available options:
true, false Response
OK
Id of the card
Last 4 digits of the card number
Name of the card holder
Expiry month of the card
Expiry year of the card
Status of the card
Available options:
active, paused, inactive, closed Creation date of the card
Spending constraint of the card
Show child attributes
Show child attributes
Pan of the card
CVV of the card
⌘I

